Summary: An X editor for editing runlevel services.
Name: tksysv
Version: 1.1
Release: 4mdk
Copyright: GPL
Group: System/Configuration/Boot and Init
Source0: tksysv-1.1.tar.bz2
Source1: tksysv.menu.bz2
Requires: tcl tk chkconfig
BuildArchitectures: noarch
Buildroot: /var/tmp/tksysv-root

%description
Tksysv is an X Window System based graphical interface for editing
the services provided by different runlevels.  Tksysv is used to set
which services are stopped and which services are started in the
different runlevels on your system.

Install the tksysv package if you'd like to use a graphical tool for
editing runlevel services.

%prep
%setup -q

%install
PREFIX=$RPM_BUILD_ROOT ./Install

#install menu
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
bzcat %{SOURCE1} > $RPM_BUILD_ROOT/usr/lib/menu/tksysv

%post
## menu
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
fi

%postun
## menu
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
    /usr/bin/update-menus
  fi
fi


%clean
if [ x$RPM_BUILD_ROOT != x -a x$RPM_BUILD_ROOT != x/ ]; then
# this makes sure you don't accidentally blow away your root fs
        rm -rf $RPM_BUILD_ROOT
fi

%files
%defattr(-,root,root)
%doc CHANGELOG COPYING
/usr/lib/tksysv
/usr/X11R6/bin/tksysv
/usr/lib/rhs/control-panel/tksysv.init
/usr/lib/rhs/control-panel/tksysv.gif
/usr/lib/rhs/control-panel/tksysv.xpm
/usr/man/man8/tksysv.8*
/usr/lib/menu/tksysv

%changelog
* Fri Mar 31 2000 DindinX <odin@mandrakesoft.com> 1.1-4mdk
- Spec fixes
- Change Group
- Added Menu

* Thu Nov 25 1999 Florent Villard <warly@mandrakesoft.com>

- Mandrake adaptations

* Wed Nov 24 1999 Donnie Barnes <djb@redhat.com>
- added two patches from Florent Villard <warly@mandrakesoft.com>
  to fix man page syntax bug and root depends in install scripts
- added defattr(-,root,root) to file list
- updated %clean to be "safer"
- fixed broken version number in title bar and .txt files

* Mon Mar 22 1999 Bill Nottingham <notting@redhat.com>
- set BOOTUP for new initscripts (no ANSI in capture, please!)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Tue Dec 22 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for 6.0 build

* Thu Apr 23 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 23 1998 Donnie Barnes <djb@redhat.com>
- fixed version number in title bar
